--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/reservations/{id} ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/reservations/{id}": { "put": { "tags": [ "Reservation" ], "operationId": "updatePublicReservation", "parameters": [ { "name": "id", "in": "path", "required": true, "schema": { "type": "string", "format": "uuid" } } ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/UpdateReservationDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/UpdateReservationDto" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/UpdateReservationDto" } } } }, "responses": { "200": { "description": "OK" } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "UpdateReservationDto": { "required": [ "startDate" ], "type": "object", "properties": { "startDate": { "type": "string", "format": "date-time" }, "endDate": { "type": "string", "format": "date-time", "nullable": true }, "providerIds": { "type": "array", "items": { "type": "string", "format": "uuid" }, "nullable": true } }, "additionalProperties": false } } } } ```